<?php
/* This is stuff that goes at the top of a bunch of files.. */
// start timing script execution, in case we're debugging
// (don't want to wait until we know, because that will throw off the time)
$mtime = microtime(); 
$mtime = explode(" ",$mtime); 
$mtime = $mtime[1] + $mtime[0]; 
$starttime = $mtime; 

$querycount = 0;
$inadmindir = true;
$version = 'WSN Links 2.35';

require '../functions.php';
require '../config.php';
require '../classes/database.php';
require '../classes/settings.php';
require '../classes/category.php';
require '../classes/onelink.php';
require '../classes/template.php';
require '../classes/language.php';
require '../classes/member.php';
require 'adminfunctions.php';

// variables that we'll use globally \\
$db = new database;
$settings = new settingsdata;

if (!$settings->admindir) $admindir = 'admin';
else $admindir = $settings->admindir;

// see if we're in debug mode
$debug = $settings->debug;
if ($settings->debug == 'no') $debug = false;
if ($settings->debug == 'yes') $debug = true;

$thismember = new member('dummy', 'dummy');

$languagegroup = $thismember->language;
if ($languagegroup == '') $languagegroup = $HTTP_COOKIE_VARS['wsn_language'];
if ($languagegroup == '') $languagegroup = $settings->defaultlang;
$language = new language($languagegroup);

// allow date formats to be defined by language
if ($language->dateformat_regular != '') $settings->dateformat = $language->dateformat_regular;
if ($language->dateformat_comments != '') $settings->commentsdateformat = $language->dateformat_comments;
if ($language->dateformat_locale != '') $settings->locale = $language->dateformat_locale;

$templatesdir = $thismember->template;
if ($templatesdir == '') $templatesdir = $HTTP_COOKIE_VARS['templatesdir'];
if ($templatesdir == '') $templatesdir = $settings->templatesdir;
$linkfields = $settings->linkfields;
$categoryfields = $settings->categoryfields;

if (!$templatesdir) echo "<p><font size=6><b>There seems to be a problem with your database. Most likely, you've forgotten to run the <a href=setup.php>setup</a> or <a href=upgrade.php>upgrade</a> scripts.</b></font></p>";

if ($action == 'settemplatesdir')
{ // if directory works, save it in cookie
  if ($header)
  {
   if ($thismember->usergroup > 1) { $thismember->template = $templatesdir; $thismember->update('template'); }
   else setcookie("templatesdir", "$templatesdir", time() + 8000000);
  }
}

if ($action == 'setlanguage')
{ // if directory works, save it in cookie
  if ($header)
  {
   if ($thismember->usergroup > 1) { $thismember->language = $languagegroup; $thismember->update('language'); }
   else setcookie("wsn_language", "$languagegroup", time() + 8000000);
  }
}

$ipbanarray = explode('/n', $settings->bannedips);
$num = sizeof($ipbanarray);
$visitor = $REMOTE_ADDR;
if ($visitor == '') $visitor = 'unreadable';
for ($i=0; $i<$num; $i++)
{
 if ($ipbanarray[$i] != '')
 {
  if (strstr($visitor, $ipbanarray[$i]))
  {
   $template = new template("blank");
   $template->text = $language->banned;
  } 
 }
}

$miscdata = ''; // use this in debugging to store more info if you like?

// make compatable when register_globals is off
while(list($key, $value) = each($HTTP_GET_VARS)) 
{
 $$key = $value;
} 
while(list($key, $value) = each($HTTP_POST_VARS)) 
{
 $$key = $value;
} 

$header = fileread("../$templatesdir/header.tpl"); // get header
$header = str_replace('templates/style.css', '../templates/style.css', $header);
$headinsertion = fileread("../$templatesdir/admin/headinsertion.tpl"); // insert code into head area
$headinsertion .= '</head>';
$header = str_replace('</head>', $headinsertion, $header);

$template = false;

if ($action == 'logout')
{
 $beginpath = "http://". $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']) ."/index.php?action=logout";
 if ($settings->dirurl != '') $path = $settings->dirurl . '/index.php?action=logout';
 else $path = str_replace('/admin/', '/', $beginpath);
 header("Location: $path");
}

$area = $language->title_divider . $language->title_admin;

if (($action == 'login') && ($loggedin != 1))
{
 if ($settings->dirurl != '') $path = $settings->dirurl . '/index.php?action=login';
 else $path = str_replace('/admin/', '/', "http://". $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']) ."/index.php?action=login");
 header("Location: $path");  
}

if ($custom == 'yes') // custom templates
{ // access with index.php?custom=yes&TID=name&ext=ext
 if ($ext == '') $ext = 'tpl';
 $thefile = $TID .'.'. $ext;
 $template = new template($thefile);
 // custom templates can use global variables, like the toplists, but any extra variables for custom templates go below this line, in the form $template->replace('{TEMPLATEVAR}', 'replacement');
 /* can use custom template for anything, such as custom category templates just by adding &custom=yes&TID=name to the URL */
}

$dostatic = false;
?>