drop table if exists {PREFIX}links ;
 drop table if exists {PREFIX}categories ;
 drop table if exists {PREFIX}comments ;
 drop table if exists {PREFIX}language ;
 drop table if exists {PREFIX}settings ;
 drop table if exists {PREFIX}members ;
 drop table if exists {PREFIX}membergroups ;
 create table {PREFIX}links
 (
     id int default '0' NOT NULL auto_increment,
       title text NOT NULL,
       url text NOT NULL,
       description text NOT NULL,
       rating int default '0' NOT NULL,
       votes int default '0' NOT NULL,
       validated int default '0' NOT NULL,
       recipurl text NOT NULL,
       catid int default '0' NOT NULL,
       sumofvotes int default '0' NOT NULL,
       email text NOT NULL,
       time int default '0' NOT NULL,
       hits int default '0' NOT NULL,
       numcomments int default '0' NOT NULL,
       hide int default '0' NOT NULL,
       ownerid int default '0' NOT NULL,
       hitsin int default '0' NOT NULL,
       voterips text NOT NULL,
       voterids text NOT NULL,
       lastedit text NOT NULL,
       type text NOT NULL,
 UNIQUE KEY id (id)
   );
   
   create table {PREFIX}categories
 (
     id int default '0' NOT NULL auto_increment,
       name text NOT NULL,
       parent int default '0' NOT NULL,
       validated int default '0' NOT NULL,
       description text NOT NULL,
       time int default '0' NOT NULL,
       parentnames text NOT NULL,
       parentids text NOT NULL,
       numlinks int default '0' NOT NULL,
       hide int default '0' NOT NULL,
       lastlinktime int default '0' NOT NULL,
       custom text NOT NULL,
       lastedit text NOT NULL,
       moderators text NOT NULL,
       headerinfo text NOT NULL,
       related text NOT NULL,
 UNIQUE KEY id (id)
   );
   
   create table {PREFIX}comments
 (
     id int default '0' NOT NULL auto_increment,
       linkid int default '0' NOT NULL,
       posterid int default '0' NOT NULL,
       postername text NOT NULL,
       message text NOT NULL,
       time int default '0' NOT NULL,
       linkname text NOT NULL,
       validated int default '0' NOT NULL,
       ip text NOT NULL,
       ownerid int default '0' NOT NULL,
       lastedit text NOT NULL,
 UNIQUE KEY id (id)
   );
   
   create table {PREFIX}language
 (
     id int default '0' NOT NULL auto_increment,
       name text NOT NULL,
       value text NOT NULL,
       groupid text NOT NULL,
 UNIQUE KEY id (id)
   );
   
   create table {PREFIX}settings
 (
     id int default '0' NOT NULL auto_increment,
       name text NOT NULL,
       content text NOT NULL,
 UNIQUE KEY id (id)
   );
   
   create table {PREFIX}members
 (
     id int default '0' NOT NULL auto_increment,
       name text NOT NULL,
       links int default '0' NOT NULL,
       comments int default '0' NOT NULL,
       time text NOT NULL,
       usergroup int default '0' NOT NULL,
       password text NOT NULL,
       ip text NOT NULL,
       totalhits int default '0' NOT NULL,
       totalhitsin int default '0' NOT NULL,
       email text NOT NULL,
       validated int default '0' NOT NULL,
       template text NOT NULL,
       language text NOT NULL,
 UNIQUE KEY id (id)
   );
   
   create table {PREFIX}membergroups
 (
     id int default '0' NOT NULL auto_increment,
       title text NOT NULL,
       caneditown int default '0' NOT NULL,
       caneditall int default '0' NOT NULL,
       canvote int default '0' NOT NULL,
       isadmin int default '0' NOT NULL,
       canpost int default '0' NOT NULL,
       canemail int default '0' NOT NULL,
       validatecats int default '0' NOT NULL,
       validatecomments int default '0' NOT NULL,
       validatelinks int default '0' NOT NULL,
       validateedits text NOT NULL,
       cansubmitlinks text NOT NULL,
       cansubmitcategories text NOT NULL,
       cansubmitcomments text NOT NULL,
       caneditownlinks text NOT NULL,
       caneditowncategories text NOT NULL,
       caneditowncomments text NOT NULL,
       caneditownprofile text NOT NULL,
       caneditalllinks text NOT NULL,
       caneditallcategories text NOT NULL,
       caneditallcomments text NOT NULL,
       caneditallprofiles text NOT NULL,
 UNIQUE KEY id (id)
   );
INSERT INTO {PREFIX}members(id,name,password,usergroup,time,links,comments,ip,totalhits,totalhitsin,email,validated,template,language) VALUES ('1', '{USERNAME}', '{PASSWORD}', '3', '{TIME}', '0', '0', '{IP}', '0', '0', '', '1', 'templates', 'English'); 
INSERT INTO {PREFIX}membergroups(id,title,caneditown,canpost,caneditall,canvote,isadmin,canemail,validatecats,validatecomments,validatelinks,validateedits,cansubmitlinks,cansubmitcategories,cansubmitcomments,caneditownlinks,caneditowncategories,caneditowncomments,caneditownprofile,caneditalllinks,caneditallcategories,caneditallcomments,caneditallprofiles) VALUES ('1', 'guest', '0', '0', '0', '1', '0', '0', '1', '1', '1', '0', '1', '1', '1', '0', '0', '0', '0', '0', '0', '0', '0'); 
INSERT INTO {PREFIX}membergroups(id,title,caneditown,canpost,caneditall,canvote,isadmin,canemail,validatecats,validatecomments,validatelinks,validateedits,cansubmitlinks,cansubmitcategories,cansubmitcomments,caneditownlinks,caneditowncategories,caneditowncomments,caneditownprofile,caneditalllinks,caneditallcategories,caneditallcomments,caneditallprofiles) VALUES ('2', 'member', '0', '0', '0', '1', '0', '1', '1', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '0', '0', '0', '0'); 
INSERT INTO {PREFIX}membergroups(id,title,caneditown,canpost,caneditall,canvote,isadmin,canemail,validatecats,validatecomments,validatelinks,validateedits,cansubmitlinks,cansubmitcategories,cansubmitcomments,caneditownlinks,caneditowncategories,caneditowncomments,caneditownprofile,caneditalllinks,caneditallcategories,caneditallcomments,caneditallprofiles) VALUES ('3', 'admin', '0', '0', '0', '1', '1', '1', '0', '0', '0', '0', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('1', 'usergroupfields', 'id,title,caneditown,canpost,caneditall,canvote,isadmin,canemail,validatecats,validatecomments,validatelinks,validateedits,cansubmitlinks,cansubmitcategories,cansubmitcomments,caneditownlinks,caneditowncategories,caneditowncomments,caneditownprofile,caneditalllinks,caneditallcategories,caneditallcomments,caneditallprofiles'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('2', 'linkcols', '2'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('3', 'catcols', '2'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('4', 'subcatcols', '2'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('5', 'orderlinks', 'ORDER BY id DESC'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('6', 'ordercats', 'ORDER BY id DESC'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('7', 'email', ''); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('8', 'notify', 'yes'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('9', 'myurl', ''); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('10', 'perpage', '15'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('11', 'marknew', '7'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('12', 'dateformat', '%B %e, %Y'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('13', 'locale', 'english'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('14', 'templatesdir', 'templates'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('15', 'linkfields', 'id,title,url,description,rating,votes,sumofvotes,recipurl,validated,time,catid,email,hits,numcomments,hide,hitsin,voterips,ownerid,lastedit,type'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('16', 'categoryfields', 'id,name,description,validated,parent,time,parentnames,parentids,numlinks,hide,custom,lastedit,moderators,headerinfo,related'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('17', 'excludedtoadmin', '|recip|validated|id|time|posterid|linkid|parentnames|parentids|sumofvotes|hide|parent|password|'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('18', 'dirurl', ''); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('19', 'commentfields', 'id,linkid,posterid,postername,message,time,linkname,validated,ip,ownerid,lastedit'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('20', 'commentsdateformat', '%B %e, %Y - %I:%M %p'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('21', 'debug', '0'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('22', 'mixrecip', 'yes'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('23', 'searchfields', 'title,url,description'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('24', 'ordercomments', 'ORDER BY time ASC'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('25', 'condition', ''); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('26', 'clicktimer', '60'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('27', 'memberfields', 'id,name,password,usergroup,time,links,comments,ip,totalhits,totalhitsin,email,validated,template,language'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('28', 'categoryselector', ''); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('29', 'linktypes', 'regular,recip'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('30', 'allowhtml', 'no'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('31', 'defaultlang', 'English'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('32', 'languages', 'English'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('33', 'maxsubcats', '20'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('34', 'bannedips', ''); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('35', 'templates', 'templates'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('36', 'requiredlinks', 'title'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('37', 'requiredcategories', 'name'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('38', 'requiredcomments', 'message'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('39', 'requiredmembers', 'name,password'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('40', 'wsncodes', '[b],<b>|||[/b],</b>'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('42', 'resetdelay', '7'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('41', 'admindir', '{ADMINDIR}'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('46', 'registration', 'direct'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('45', 'floodcheck', '20'); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('43', 'resetfields', ''); 
INSERT INTO {PREFIX}settings(id,name,content) VALUES ('44', 'resettime', '0'); 

INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'admin_edit', 'The {ITEM} has been edited.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'admin_chmod', 'Could not save changes: you must chmod 666 or 777 the template files.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'admin_templateupdate', 'The template has been updated.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'admin_settingsupdate', 'Your settings have been updated.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'admin_validate', 'The {TYPE} has been validated, and now appears in the listing.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'admin_validaterecip', 'The link has been validated, as a reciprocal link, and now appears in the listing for its category.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'catselector_indent', '-', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'yes', 'yes', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'no', 'no', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'admin_selecttemplate', 'Please select a template to edit from the list above, by clicking it.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'admin_movelink', 'The link has been edited and moved to the new category as per your request.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'title_suggestnewcat', 'Suggest New Category', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'title_suggestnewlink', 'Suggest New Link', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'title_divider', ': ', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'title_vote', 'Rate a Link', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'title_admin', 'Administration', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'toplevel', 'Top Level', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'search_nomatch', 'No matching links.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'vote_thanks', 'Your vote has been recorded, thanks.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'pageselection_left', ' [', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'pageselection_right', '] ', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'suggest_cat', 'Thanks for your suggestion. The category will appear only after the adminstrator approves it.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'suggest_link', 'Thanks for your suggestion. If it&#39&s approved by the administrator it will appear in the listing.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'email_newsuggestiontitle', 'New submission at your WSN Links directory', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'email_newsuggestionbody', 'A new {TYPE} has been suggested for your links directory. You may login to your admin section to validate or reject it: {DIRURL}/admin/', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'email_notifyusertitle', 'Your link submission', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'email_notifyuserbody', 'Your link, {LINKTITLE}, has been approved and added to the directory. You can see in the list at {DIRURL}/index.php?action=displaycat&catid={LINKCATID} . Thanks.

If you wish to have the visitors you send to this site counted and credited to you, use this URL on your page in linking to this site: {DIRURL}/in.php?id={LINKID}

If you wish to let your visitors rate your site, you can get the code for the voting form here: {DIRURL}/index.php?action=getvotingcode&id={LINKID}', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'reportlink_thanks', 'Thanks for reporting the link, it will be dealt with soon.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'vote_alreadyvoted', 'You&#39&ve already voted, you can&#39&t vote again on the same link.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'suggest_incomplete', 'You did not complete all of the required fields.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'suggest_invalidemail', 'Please enter a valid email address.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'title_reportlink', 'Report Link', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'email_reportlinktitle', 'Link Reported: {PROBLEMTYPE}', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'email_reportlinkbody', 'Someone has reported a problem with the link {LINKTITLE} ( {LINKURL} ). The problem is {PROBLEMTYPE}. Edit this link at {DIRURL}/admin/edit.php?action=link&field=id&condition=equals&fieldvalue={LINKID}
This was the comment given: {COMMENT}', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'title_search', 'Search', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'title_emaillink', 'E-mail Link', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'email_emaillinktitle', '{LINKTITLE}', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'email_emaillinkbody', '{FROMEMAIL} (IP address {SENDERIP}) has emailed this link:
{LINKTITLE}: {LINKURL} 
{LINKDESCRIPTION}', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'emaillink_thanks', 'The link has been emailed.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'admin_delete', 'The {ITEM} has been deleted.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'loggedout', 'You&#39&ve logged out.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'register_nametaken', 'That name is already registered to another user. Please select a different name.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'emaillink_cannotemail', 'Sorry, you don&#39&t have permission to email a link. &lt&a href=index.php?action=userlogin&gt&Log in&lt&/a&gt&, or &lt&a href=register.php&gt&register&lt&/a&gt& if you haven&#39&t yet.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'vote_cannotvote', 'Sorry, you don&#39&t have permission to vote. &lt&a href=index.php?action=userlogin&gt&log in&lt&/a&gt&, or &lt&a href=register.php&gt&register&lt&/a&gt& if you haven&#39&t yet.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'comments_thanks', 'Your comment has been posted, thanks.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'title_main', 'Main', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'admin_validateall', 'All your links and categories are now validated.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'admin_addfieldworked', 'Your new {TYPE} field, {NEWVAR}, has been added. Other templates have been automatically modified for you, but you must also place the template variable {NEWTEMPVAR} it in your {TYPE} display template(s) wherever you want this field to be displayed to visitors. (If you don&#39&t want to display it to visitors, then you&#39&re done.)', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'admin_addfieldworkedsetting', 'Your new {TYPE} field, {NEWVAR}, has been added. Visit your settings section to set a value for it.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'admin_removefieldworkedsetting', 'Your {TYPE} field {NEWVAR} has been removed. The template has been edited, but you may want to clean it up.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'admin_removefieldworked', 'Your {TYPE} field {NEWVAR} has been removed. Other templates have been automatically modified for you (though you may want to clean them up), but if this field was displayed to visitors in your {TYPE} templates you must also remove the template variable {NEWTEMPVAR} from those  templates.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'title_comments', 'Comment on Link', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'email_rejectsubject', 'Your link has been rejected', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'email_rejectbody', 'The link you submitted, {LINKTITLE} ( {LINKURL} ), has been rejected.
{REASON}', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'register_worked', 'Your registration was succesful, you are now logged in.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'login_worked', 'You are now logged in.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'login_failed', 'The password you supplied does not match the one for that username.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'register_mismatch', 'The passwords you types did not match. You must type the same password in both boxes to confirm.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'admin_usergroupsdone', 'The usergroup has been {TYPE}.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'nav_separator', ' &gt& ', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'subcats', '[&lt&a href=index.php?action=displaycat&catid={CATID}&gt&{CATNAME}&lt&/a&gt&]', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'title_register', 'Registration', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'admin_addfieldsetting', '&lt&textarea cols=70 rows=15&gt&Your new setting, {NEWVAR}, has been added... but templates could not be properly updated, so you&#39&ll have to do this manually.

In order to allow yourself to edit this setting, add this to your &#34&settings&#34& template next to the similar lines: &lt&input type=text name={NEWVAR} value=&#34&{NEWTEMPVAR}&#34&&gt&&lt&/textarea&gt&', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'admin_addfieldlink', '&lt&textarea cols=70 rows=15&gt&Your new links field, {NEWVAR}, has been added... but templates could not be properly updated, so you&#39&ll have to do this manually.

The template variable for your new {TYPE} field is {NEWTEMPVAR}. Use this in your link display templates.

In order to allow yourself to edit this link variable, add this to your &#34&edit link&#34& template next to the similar lines: &lt&input type=text name={NEWVAR} value=&#34&{NEWTEMPVAR}&#34&&gt&. If you prefer not to make this editable, instead use &lt&input type=hidden name={NEWVAR} value=&#34&{NEWTEMPVAR}&#34&&gt& 

If you want the user to be able to submit this field, add &lt&input type=text name={NEWVAR}&gt& to your &#34&suggest link&#34& template.

To make this field searchable, add {NEWVAR} to the list of searchable links fields in your admin prefernces section.&lt&/textarea&gt&', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'admin_addfieldcomment', '&lt&textarea cols=70 rows=15&gt&Your new comment field, {NEWVAR}, has been added... but templates could not be properly updated, so you&#39&ll have to do this manually.

The template variable for your new comment field is {NEWTEMPVAR}. Use this in your comment display template.

In order to allow yourself to edit this comment variable, add this to your &#34&edit comments&#34& template next to the similar lines: &lt&input type=text name={NEWVAR} value=&#34&{NEWTEMPVAR}&#34&&gt&. If you prefer that it not be editable, use &lt&input type=hidden name={NEWVAR} value=&#34&{NEWTEMPVAR}&#34&&gt& instead.

If you want the user to be able to submit this field, add &lt&input type=text name={NEWVAR}&gt& to your comments template.&lt&/textarea&gt&', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'admin_addfieldcat', '&lt&textarea cols=70 rows=15&gt&Your new category field, {NEWVAR}, has been added... but templates could not be properly updated, so you&#39&ll have to do this manually.

The template variable for your new category field is {NEWTEMPVAR}. Use this in your category display templates for both categories and subcategories.

In order to allow yourself to edit this category variable, add this to your &#34&edit category&#34& template next to the similar lines: &lt&input type=text name={NEWVAR} value=&#34&{NEWTEMPVAR}&#34&&gt&. If you prefer that it not be editable, use this instead: &lt&input type=hidden name={NEWVAR} value=&#34&{NEWTEMPVAR}&#34&&gt&

If you want the user to be able to submit this field, add &lt&input type=text name={NEWVAR}&gt& to your &#34&suggest category&#34& template.&lt&/textarea&gt&', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'admin_addfieldmember', '&lt&textarea cols=70 rows=15&gt&Your new member field, {NEWVAR}, has been added... but templates could not be properly updated, so you&#39&ll have to do this manually.

The template variable for your new {TYPE} field is {NEWTEMPVAR}. Use this in your member display templates.

In order to allow yourself to edit this member variable, add this to your &#34&edit member&#34& template next to the similar lines: &lt&input type=text name={NEWVAR} value=&#34&{NEWTEMPVAR}&#34&&gt&. If you prefer not to make this editable, instead use &lt&input type=hidden name={NEWVAR} value=&#34&{NEWTEMPVAR}&#34&&gt& 

If you want the user to be able to submit this field, add &lt&input type=text name={NEWVAR}&gt& to your &#34&register&#34& template.&lt&/textarea&gt&', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'passwordreset_failed', 'There is no user registered with that email address.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'email_passwordresetsubject', 'Your new password', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'email_passwordresetbody', 'Your username is {MEMBERNAME}.
This is your new password: {NEWPASSWORD}', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'passwordreset_worked', 'Your new password has been emailed to you.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'subcats_more', '[&lt&a href=index.php?action=displaycat&catid={CATID}&gt&More...&lt&/a&gt&]', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'banned', 'You have been banned from this site.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'comments_floodcheck', 'You cannot post again so quickly... in order to prevent spam, guests must wait {DELAYTIME} seconds before posting again.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'edit', '&lt&a href={PATH}&gt&&lt&img src={TEMPLATESDIR}/images/edit.gif border=0&gt&&lt&/a&gt&', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'admin_reject', 'The {TYPE} has been rejected.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'edit_pendingvalidation', 'Your edit has been submitted, but must be validated by the administrator before it will appear.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'suggestlink_cantfindrecip', 'No reciprocal link can be found on your page. If you haven&#39&t yet placed a link, please place this HTML on your page: &lt&br&gt& &lt&textarea&gt&&lt&a href={DIRURL}/in.php?id={LINKID}&gt&Link description here&lt&/a&gt&&lt&/textarea&gt&', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'profile_updated', 'Your profile has been updated.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'email_activationbody', '{MEMBERNAME}, copy and paste this link into your web browser to activate your account:

{DIRURL}/activate.php?memid={MEMBERID}&activation={MEMBERPASSWORD}', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'register_activated', 'Your account has now been activated.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'register_activationsent', 'An activation code has been sent to your e-mail address. Follow the link in that to activate your account.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'register_awaitvalidation', 'Your registration has been submited for review by the administrator. When your account has been approved, you&#39&ll receive an e-mail.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'email_validatemembertitle', 'Your membership has been approved', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'email_validatememberbody', '{MEMBERNAME}, your account has been validated by the adminstrator.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'email_activationtitle', 'Account activation', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'noaccess', 'You do not have permission to view this section of the site. Either you are not registered, not logged in, or the administrator chosen not to give you access to this page. To register an account, &lt&a href=register.php&gt&click here&lt&/a&gt&.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'admin_addfieldworkedusergroup', 'Your new {TYPE} field, {NEWVAR}, has been added. Visit your usergroup section to set a value for it.', 'English');
INSERT INTO {PREFIX}language(id, name, value, groupid) VALUES('', 'admin_addfieldusergroup', '&lt&textarea cols=70 rows=15&gt&Your new usergroup field, {NEWVAR}, has been added... but templates could not be properly updated, so you&#39&ll have to do this manually.

Add this to your templates/admin/usergroups.tpl template next to the similar lines: &lt&input type=checkbox name={NEWVAR} {{NEWVAR}}&gt& {NEWVAR} ', 'English');
