<?php
/* This is stuff that goes at the top of a bunch of files.. */

// start timing script execution, in case we're debugging
// (don't want to wait until we know, because that will throw off the time)
$mtime = microtime(); 
$mtime = explode(" ",$mtime); 
$mtime = $mtime[1] + $mtime[0]; 
$starttime = $mtime; 

$debuginfo = ''; // we'll fill this as we go

$querycount = 0;

require 'functions.php';
require 'config.php';
require 'classes/database.php';
require 'classes/settings.php';
require 'classes/category.php';
require 'classes/onelink.php';
require 'classes/template.php';
require 'classes/language.php';
require 'classes/member.php';
require 'classes/comments.php';

// variables that we'll use globally \\
$db = new database;
$settings = new settingsdata;

if (!$settings->admindir) $admindir = 'admin';
else $admindir = $settings->admindir;

// see if we're in debug mode
$debug = $settings->debug;
if ($settings->debug == 'no') $debug = false;
if ($settings->debug == 'yes') $debug = true;

$thismember = new member('dummy', 'dummy');
if ($languagegroup == '') $languagegroup = $thismember->language;
if ($languagegroup == '') $languagegroup = $HTTP_COOKIE_VARS['wsn_language'];
if ($languagegroup == '') $languagegroup = $settings->defaultlang;
$language = new language($languagegroup);

// allow date formats to be defined by language
if ($language->dateformat_regular != '') $settings->dateformat = $language->dateformat_regular;
if ($language->dateformat_comments != '') $settings->commentsdateformat = $language->dateformat_comments;
if ($language->dateformat_locale != '') $settings->locale = $language->dateformat_locale;

if ($templatesdir == '') $templatesdir = $thismember->template;
if ($templatesdir == '') $templatesdir = $HTTP_COOKIE_VARS['templatesdir'];
if ($templatesdir == '') $templatesdir = $settings->templatesdir;
$linkfields = $settings->linkfields;
$categoryfields = $settings->categoryfields;

if (!$templatesdir) echo "<p><font size=6><b>There seems to be a problem with your database. Most likely, you've forgotten to run the <a href=setup.php>setup</a> or <a href=upgrade.php>upgrade</a> scripts.</b></font></p>";

// make compatable when register_globals is off
while(list($key, $value) = each($HTTP_GET_VARS)) 
{
 $$key = stripcode($value);
} 
while(list($key, $value) = each($HTTP_POST_VARS)) 
{
 $$key = stripcode($value);
} 
$returnto = stripcode($HTTP_COOKIE_VARS['returnto']);
if ($returnto == '') $returnto = 'index.php';


$ipbanarray = explode('/n', $settings->bannedips);
$num = sizeof($ipbanarray);
$visitor = $REMOTE_ADDR;
if ($visitor == '') $visitor = 'unreadable';
for ($i=0; $i<$num; $i++)
{
 if ($ipbanarray[$i] != '')
 {
  if (strstr($visitor, $ipbanarray[$i]))
  {
   $template = new template("blank");
   $template->text = $language->banned;
  } 
 }
}

$header = fileread("$templatesdir/header.tpl"); // get header

// check cookie to see if this is the admin
$isadmin = false;
if ($thismember->isadmin()) $isadmin = true;

if ($action == 'settemplatesdir')
{ // if directory works, save it in cookie
  if ($header)
  {
   if ($thismember->usergroup > 1) { $thismember->template = $templatesdir; $thismember->update('template'); }
   else setcookie("templatesdir", "$templatesdir", time() + 8000000);
  }
}

if ($action == 'setlanguage')
{ // if directory works, save it in cookie
  if ($header)
  {
   if ($thismember->usergroup > 1) { $thismember->language = $languagegroup; $thismember->update('language'); }
   else setcookie("wsn_language", "$languagegroup", time() + 8000000);
  }
}

if ($action == 'logout')
{
 $thismember->logout();
 if (!$template) $template = new template("$templatesdir/blank.tpl");
 $template->text = $language->loggedout;
 $loggedout = true; 
}

if ($action == 'login')
{
 $area = $language->title_login;
 if (($filled) && ($thismember->login()))
 {
  header("Location: $admindir/index.php?loggedin=1"); 
 }
 else
 {
  $template = new template("$templatesdir/admin/password.tpl");
 }
}

if ($action == 'userlogin')
{
 if ($filled)
 {
  if (!$template) $template = new template("$templatesdir/redirect.tpl");
  if ($thismember->login())
  {
   // you're logged in
   $template->replace('{MESSAGE}', $language->login_worked);
   $template->replace('{DESTINATION}', 'index.php');
  }
  else
  {
   // wrong username or password
   $template->replace('{MESSAGE}', $language->login_failed);
   $template->replace('{DESTINATION}', 'index.php?action=userlogin');
  }
 }
 else
 {
  $template = new template("$templatesdir/login.tpl");
 }
}

if ($action == 'userlogout')
{
 $thismember->logout();
 if (!$template) $template = new template("$templatesdir/redirect.tpl");
 $template->replace ('{MESSAGE}', $language->loggedout);
 $template->replace('{DESTINATION}', $returnto);
}

if ($action == 'lostpw')
{
 if ($email == '') $email = 'nothing here';
 $query = $db->select('id', 'memberstable', "email='$email'", '', '');
 $theirid = $db->rowitem($query);
 if (!$theirid)
 {
  if (!$template) $template = new template("$templatesdir/redirect.tpl");
  $template->replace('{DESTINATION}', 'index.php?action=userlogin');
  $template->replace('{MESSAGE}', $language->passwordreset_failed);
 }
 else
 {
  $ourmember = new member('id', $theirid);
  $adminaddress = $settings->email;
  $newpassword = md5(time());
  $encoded = md5($newpassword);
  $ourmember->password = $encoded;
  $ourmember->update('email,password');
  $subject = memberreplacements($language->email_passwordresetsubject, $ourmember);
  $message = str_replace('{NEWPASSWORD}', $newpassword, $language->email_passwordresetbody);
  $message = memberreplacements($message, $ourmember);
  mail("$email", "$subject", "$message", "From: $adminaddress");
  if (!$template) $template = new template("$templatesdir/redirect.tpl");
  $template->replace('{DESTINATION}', 'index.php');
  $template->replace('{MESSAGE}', $language->passwordreset_worked);
 }
}

if ($custom == 'yes') // custom templates
{ // access with index.php?custom=yes&TID=name&ext=ext
 if ($ext == '') $ext = 'tpl';
 $thefile = $TID .'.'. $ext;
 $thefile = $templatesdir .'/' . $thefile;
 $template = new template($thefile);
 // custom templates can use global variables, like the toplists, but any extra variables for custom templates go below this line, in the form $template->replace('{TEMPLATEVAR}', 'replacement');
 /* can use custom template for anything, such as custom category templates just by adding &custom=yes&TID=name to the URL */
}


?>